/*
 * genreitem.h: declaration of a class that holds genre data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _GENREITEM_H
#define _GENREITEM_H
#include <vdr/osdbase.h>
class cGenreReader;

class cMenuGenreItem : public cOsdItem {
friend class cGenreReader;	
public:
  cMenuGenreItem() { cMenuGenreItem(0,"",0); };
  cMenuGenreItem(int, char*, int);
 ~cMenuGenreItem();

  int		Id() { return id; }
  char * Name() { return name; }
  int    Count() { return count; }
  void   Compile();

protected: 
  void   SetId(int i) { id = i; }
  void   SetName(char *p) { name = p; }
  void   SetCount(int c) { count = c; }

private:
  int		id;
  char * name;
  int    count;
  };

#endif
